classification
Title: Multi-with patch
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: eric.araujo, georg.brandl, r.david.murray
Priority: deferred blocker Keywords: patch

Created on 2009-05-04 14:29 by georg.brandl, last changed 2009-05-30 18:04 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
issue53094_2001.diff georg.brandl, 2009-05-04 14:29
Messages (7)
msg87131 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-05-04 14:29
So that this doesn't get overlooked.
msg87305 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2009-05-06 01:09
Nitpicking: I suggest renaming one class used in testing from CtorRaises
to InitRaises, since __init__ is not a constructor (and the meaning of
“Ctor” is not that obvious :)
msg88529 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-05-29 20:08
This was applied by Georg in r72925.
msg88572 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2009-05-30 16:09
I’d like to know whether my suggestion was rejected or merely overlooked.
msg88573 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-05-30 17:53
Probably overlooked.  Perhaps Georg will comment definitively later.
msg88574 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-05-30 17:55
I overlooked it, yes. But it also seems to me that it's no major problem :)
msg88575 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2009-05-30 18:04
Indeed, I called it nitpicking in the first place. I think it would be a
micro-improvement, but still an improvement :)

Thanks for replying.
History
Date User Action Args
2009-05-30 18:04:48eric.araujosetmessages: + msg88575
2009-05-30 17:55:19georg.brandlsetmessages: + msg88574
2009-05-30 17:53:49r.david.murraysetmessages: + msg88573
2009-05-30 16:09:41eric.araujosetmessages: + msg88572
2009-05-29 20:08:06r.david.murraysetstatus: open -> closed

type: enhancement

nosy: + r.david.murray
messages: + msg88529
resolution: accepted
stage: patch review -> resolved
2009-05-06 01:09:01eric.araujosetnosy: + eric.araujo
messages: + msg87305
2009-05-04 22:11:15benjamin.petersonsetpriority: release blocker -> deferred blocker
2009-05-04 14:29:49georg.brandlcreate